# selenium.webdriver.common.print_page_options

Classes

`PrintOptions`() |

class selenium.webdriver.common.print_page_options.PrintOptions
  page_height

    Gets and Sets page_height:

    ## Usage

    - Get

        - self.page_height

    - Set

        - self.page_height = value

    ## Parameters

    value: float

    ## Returns

    - Get

        - Optional[float]

    - Set

        - None

  page_width

    Gets and Sets page_width:

    ## Usage

    - Get

        - self.page_width

    - Set

        - self.page_width = value

    ## Patameters

    value: float

    ## Returns

    - Get

        - Optional[float]

    - Set

        - None

  margin_top

    Gets and Sets margin_top:

    ## Usage

    - Get

        - self.margin_top

    - Set

        - slef.margin_top = value

    ## Parameters

    value: float

    ## Returns

    - Get

        - Optional[float]

    - Set

        - None

  margin_bottom

    Gets and Sets margin_bottom:

    ## Usage

    - Get

        - self.margin_bottom

    - Set

        - self.margin_bottom = value

    ## Parameters

    value: float

    ## Returns

    - Get

        - Optional[float]

    - Set

        - None

  margin_left

    Gets and Sets margin_left:

    ## Usage

    - Get

        - self.margin_left

    `-Set`

      - self.margin_left = value

    ## Parameters

    value: float

    ## Returns

    - Get

        - Optional[float]

    - Set

        - None

  margin_right

    Gets and Sets margin_right:

    ## Usage

    - Get

        - self.margin_right

    - Set

        - self.margin_right = value

    ## Parameters

    value: float

    ## Returns

    - Get

        - Optional[float]

    - Set

        - None

  scale

    Gets and Sets scale:

    ## Usage

    - Get

        - self.scale

    - Set

        - self.scale = value

    ## Parameters

    value: float

    ## Returns

    - Get

        - Optional[float]

    - Set

        - None

  orientation

    Gets and Sets orientation:

    ## Usage

    - Get

        - self.orientation

    - Set

        - self.orientation = value

    ## Parameters

    value: Orientation

    ## Returns

    - Get

        - Optional[Orientation]

    - Set

        - None

  background

    Gets and Sets background:

    ## Usage

    - Get

        - self.backgorund

    - Set

        - self.background = value

    ## Parameters

    value: bool

    ## Returns

    - Get

        - Optional[bool]

    - Set

        - None

  shrink_to_fit

    Gets and Sets shrink_to_fit:

    ## Usage

    - Get

        - self.shrink_to_fit

    - Set

        - self.shrink_to_fit = value

    ## Parameters

    value: bool

    ## Returns

    - Get

        - Optional[bool]

    - Set

        - None

  page_ranges

    Gets and Sets page_ranges:

    ## Usage

    - Get

        - self.page_ranges

    - Set

        - self.page_ranges = value

    ## Parameters

    value: ` List[str]`

    ## Returns

    - Get

        - Optional[List[str]]

    - Set

        - None

  to_dict() → Dict[str, Any]
    Returns:

      A hash of print options configured.